> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /qoo10/products/reviews

> Get Qoo10 product customer reviews by goodscode (or product URL). Returns rating, author (masked), date, review text, reviewer attributes, per-aspect satisfaction, photos and like count.

**Price:** 10 credits per 10 results

**⚠️ Common errors:** 412: Product not found (well-formed but nonexistent goodscode)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/qoo10/products/reviews
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/qoo10/products/reviews:
    post:
      tags:
        - /qoo10
      summary: /qoo10/products/reviews
      description: >-
        Get Qoo10 product customer reviews by goodscode (or product URL).
        Returns rating, author (masked), date, review text, reviewer attributes,
        per-aspect satisfaction, photos and like count.


        **Price:** 10 credits per 10 results


        **⚠️ Common errors:** 412: Product not found (well-formed but
        nonexistent goodscode)
      operationId: __api_qoo10_products_reviews_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Qoo10ReviewsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Qoo10Review'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Qoo10ReviewsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        domain:
          $ref: '#/components/schemas/Qoo10Domain'
          default: qoo10.jp
        product:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/Qoo10ReviewSort'
          default: popular
      type: object
      required:
        - product
        - count
    Qoo10Review:
      properties:
        '@type':
          type: string
          default: Qoo10Review
        id:
          type: string
        author:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        attributes:
          items:
            type: string
          type: array
          default: []
        aspects:
          items:
            type: string
          type: array
          default: []
        images:
          items:
            type: string
          type: array
          default: []
        has_video:
          type: boolean
          default: false
        like_count:
          type: integer
          default: 0
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    Qoo10Domain:
      type: string
      enum:
        - qoo10.jp
        - qoo10.sg
        - qoo10.com.hk
        - qoo10.my
    Qoo10ReviewSort:
      type: string
      enum:
        - popular
        - newest
        - highest
        - lowest
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````